org.apache.cassandra.tools

## Class JsonTransformer

- java.lang.Object
- - org.apache.cassandra.tools.JsonTransformer

-     public final class JsonTransformer
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `keysToJson(ISSTableScanner currentScanner, java.util.stream.Stream<DecoratedKey> keys, boolean rawTime, CFMetaData metadata, java.io.OutputStream out)`
    `static void` | `toJson(ISSTableScanner currentScanner, java.util.stream.Stream<UnfilteredRowIterator> partitions, boolean rawTime, CFMetaData metadata, java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toJson

          public static void toJson(ISSTableScanner currentScanner,
                                    java.util.stream.Stream<UnfilteredRowIterator> partitions,
                                    boolean rawTime,
                                    CFMetaData metadata,
                                    java.io.OutputStream out)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### keysToJson

          public static void keysToJson(ISSTableScanner currentScanner,
                                        java.util.stream.Stream<DecoratedKey> keys,
                                        boolean rawTime,
                                        CFMetaData metadata,
                                        java.io.OutputStream out)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation